curl --request GET \
--url https://api.staging.payrails.io/merchant/workflows/{workflowCode}/executions/{executionId}/actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/merchant/workflows/{workflowCode}/executions/{executionId}/actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/merchant/workflows/{workflowCode}/executions/{executionId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"id": "b8fe6271-5d71-4d28-b8e8-89e64acc0c49",
"createdAt": "2022-02-03T14:38:40.557Z",
"updatedAt": "2022-02-03T14:38:40.557Z",
"workflowExecutionId": "17f12479-3dad-4493-82be-994ce3037887",
"workflowCode": "payment-acceptance",
"workspaceId": "17f12479-3dad-4493-82be-994ce3037887",
"type": "authorize",
"status": "success"
},
{
"id": "17f12479-3dad-4493-82be-994ce3037887",
"createdAt": "2022-02-03T14:38:40.557Z",
"updatedAt": "2022-02-03T14:38:40.557Z",
"workflowExecutionId": "17f12479-3dad-4493-82be-994ce3037887",
"workflowCode": "payment-acceptance",
"workspaceId": "17f12479-3dad-4493-82be-994ce3037887",
"type": "capture",
"status": "created"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}List actions of an execution
Fetch a list of merchant workflows actions for the given execution.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Path parameter to specify the workflow code. Machine-friendly code of Workflow.
^[a-z][-A-Za-z0-9]*$Identifier of the resource in Payrails.
Query Parameters
Include events in the response.
Include internal workflow step events (for example executionActionStepStarted, executionConditionStepEvaluated) in the returned events. Excluded by default. Only applies when includeEvents is true.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the Workflow Execution that this action belongs to.
Workflow code.
Unique identifier of the Workspace that this action belongs to.
Value of Action Types enumeration.
authorize, capture, cancel, confirm, crateInstrument, fraudScore, fraudUpdate, lookup, payout, refund, startPaymentSession Value of Action Status enumeration.
created, failed, success Unique identifier of the Action.
Date of creation of the Action.
Last update of the Action.
Error code of last failed execution event.